## org.codehaus.groovy.grails.plugins.orm.hibernate
Class HibernatePluginSupport

    java.lang.Object
      org.codehaus.groovy.grails.plugins.orm.hibernate.HibernatePluginSupport

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class HibernatePluginSupport

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`HibernatePluginSupport()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static void` `enhanceProxy(org.hibernate.proxy.HibernateProxy proxy)`
`static void` `enhanceProxyClass(Class proxyClass)`
`static Object` `enhanceSessionFactory(org.hibernate.SessionFactory sessionFactory, GrailsApplication application, ApplicationContext ctx)`
`static Map` `filterQueryArgumentMap(Map query)`
`static Object` `getDoWithDynamicMethods()`
`static Object` `getDoWithSpring()`
`static Object` `getHibConfigClass()`
`static Object` `getHibProps()`
`static Object` `getLAZY_PROPERTY_HANDLER()`
`static org.apache.commons.logging.Log` `getLOG()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static void` `handleDataAccessException(HibernateTemplate template, DataAccessException e)`
`static void` `handleLazyProxy(GrailsDomainClass domainClass, GrailsDomainClassProperty property)`
`static Object` `initializeDomain(Class c)`
`Object` `invokeMethod(String method, Object arguments)`
`static void` `setDoWithSpring(Object value)`
`static void` `setHibConfigClass(Object value)`
`static void` `setHibProps(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`static Object` `shouldFlush()`
`static Object` `shouldFlush(Map map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernatePluginSupport

    public HibernatePluginSupport()

Method Detail

### getLOG

    public static org.apache.commons.logging.Log getLOG()

### getHibProps

    public static Object getHibProps()

### setHibProps

    public static void setHibProps(Object value)

### getHibConfigClass

    public static Object getHibConfigClass()

### setHibConfigClass

    public static void setHibConfigClass(Object value)

### getDoWithSpring

    public static Object getDoWithSpring()

### setDoWithSpring

    public static void setDoWithSpring(Object value)

### getDoWithDynamicMethods

    public static Object getDoWithDynamicMethods()

### getLAZY_PROPERTY_HANDLER

    public static Object getLAZY_PROPERTY_HANDLER()

### enhanceProxyClass

    public static void enhanceProxyClass(Class proxyClass)

### enhanceProxy

    public static void enhanceProxy(org.hibernate.proxy.HibernateProxy proxy)

### initializeDomain

    public static Object initializeDomain(Class c)

### enhanceSessionFactory

    public static Object enhanceSessionFactory(org.hibernate.SessionFactory sessionFactory,
                                               GrailsApplication application,
                                               ApplicationContext ctx)

### handleLazyProxy

    public static void handleLazyProxy(GrailsDomainClass domainClass,
                                       GrailsDomainClassProperty property)

### filterQueryArgumentMap

    public static Map filterQueryArgumentMap(Map query)

### handleDataAccessException

    public static void handleDataAccessException(HibernateTemplate template,
                                                 DataAccessException e)

### shouldFlush

    public static Object shouldFlush(Map map)

### shouldFlush

    public static Object shouldFlush()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project